[From nobody Sun Jan  9 16:11:35 2022
From: gitosis@osmocom.org
Precedence: list
To: osmocom-commitlog@lists.osmocom.org
Date: Thu, 2 Jan 2014 13:14:34 GMT
Message-ID: &lt;201401021314.s02DEYME038685@git.osmocom.org&gt;
Subject: libosmocore.git branch master updated. 0.6.4-29-gd4d87c5
Message: 1

This is an automated email from the git hooks/post-receive script. It was
generated because a ref change was pushed to the repository containing
the project &quot;An utility library for Open Source Mobile Communications&quot;.

The branch, master has been updated
       via  d4d87c5427bdf838cbfc3948bcf035e1e4036fd9 (commit)
       via  324470205860303edb6ea213fc8670b2b69a7f11 (commit)
       via  b79a148eca01ff8f101662f389b8032ea2d9a535 (commit)
      from  b7d0f4686b4aa55fd9b69884e6cc0c4c79ea1cd5 (commit)

Those revisions listed above that are new to this repository have
not appeared on any other notification email; so we list those
revisions in full, below.

- Log -----------------------------------------------------------------
http://cgit.osmocom.org/libosmocore/commit/?id=d4d87c5427bdf838cbfc3948bcf035e1e4036fd9

commit d4d87c5427bdf838cbfc3948bcf035e1e4036fd9
Author: Holger Hans Peter Freyther &lt;holger@moiji-mobile.com&gt;
Date:   Thu Jan 2 14:10:25 2014 +0100

    abis: Use the right return value for abis_nm_pchan4chcomb
    
    abis_nm_pchan4chcomb will return a pchan for a given channel
    combination but returned a value of the channel combination.
    
    Fix it to return the physical channel combination.
    
    Fixes: Coverity CID 1040767

http://cgit.osmocom.org/libosmocore/commit/?id=324470205860303edb6ea213fc8670b2b69a7f11

commit 324470205860303edb6ea213fc8670b2b69a7f11
Author: Nils O. Selåsdal &lt;noselasd@fiane.dyndns.org&gt;
Date:   Thu Jan 2 14:04:43 2014 +0100

    utils: Greatly improve performance of osmo_hexdump routines
    
    In the osmo-bts and libosmo-abis code the hexdump routine is used
    for every incoming/outgoing packet (including voice frames) and the
    usage of snprintf showed up inside profiles.
    
    There is a semantic change when more than 4096 characters are used.
    The code will now truncate at byte boundaries (and not nibbles).
    
    Code:
     static const int lengths[] = { 23, 1000, 52 };
     char buf[4096];
     int i;
    
     for (i = 0; i &lt; 30000; ++i)
         char *res = osmo_hexdump(buf, lengths[i &amp; 3]);
    
    Results:
    
    before:					after:
    real    0m3.233s			real    0m0.085s
    user    0m3.212s			user    0m0.084s
    sys     0m0.000s			sys     0m0.000s

http://cgit.osmocom.org/libosmocore/commit/?id=b79a148eca01ff8f101662f389b8032ea2d9a535

commit b79a148eca01ff8f101662f389b8032ea2d9a535
Author: Holger Hans Peter Freyther &lt;holger@moiji-mobile.com&gt;
Date:   Thu Jan 2 13:55:00 2014 +0100

    utils: Add a simple testcase for osmo_hexdump
    
    This code makes a simple dump and tests for the corner case

-----------------------------------------------------------------------

Summary of changes:
 include/osmocom/gsm/abis_nm.h                      |  2 +-
 src/gsm/abis_nm.c                                  |  2 +-
 src/utils.c                                        | 18 +++++++---
 tests/Makefile.am                                  |  8 +++--
 tests/testsuite.at                                 |  6 ++++
 .../core/crcgen.h =&gt; tests/utils/utils_test.c      | 40 +++++++++++++---------
 tests/utils/utils_test.ok                          |  5 +++
 7 files changed, 55 insertions(+), 26 deletions(-)
 copy include/osmocom/core/crcgen.h =&gt; tests/utils/utils_test.c (59%)
 create mode 100644 tests/utils/utils_test.ok


hooks/post-receive
-- 
An utility library for Open Source Mobile Communications


]